using UnityEngine;
using UnityEngine.UI;
using TMPro;

public class ScoreScript : MonoBehaviour
{
    public static int scoreValue = 0;
    [SerializeField] private TextMeshProUGUI scoreText;

    void Start()
    {
        scoreValue = 0;
        UpdateScoreUI();
    }

    public void UpdateScoreUI()
    {
        if(scoreText != null)
            scoreText.text = scoreValue.ToString();
    }

    private void Update()
    {
        scoreText.text = "SCORE: " + scoreValue;
    }
}
